summaryrefslogtreecommitdiff
path: root/dev-python/python-keyutils/python-keyutils-0.6.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-07-15 01:29:59 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-07-15 01:29:59 +0000
commit0655e2c3a3fbf0fa6422598b22fe08d620d0597e (patch)
treea3dc52bf596e331e7780d754093d1613b0623dcd /dev-python/python-keyutils/python-keyutils-0.6.ebuild
parentde2c0a90ed64b4f061481f72d52d866ae18059ef (diff)
downloadbaldeagleos-repo-0655e2c3a3fbf0fa6422598b22fe08d620d0597e.tar.gz
baldeagleos-repo-0655e2c3a3fbf0fa6422598b22fe08d620d0597e.tar.xz
baldeagleos-repo-0655e2c3a3fbf0fa6422598b22fe08d620d0597e.zip
Adding metadata
Diffstat (limited to 'dev-python/python-keyutils/python-keyutils-0.6.ebuild')
-rw-r--r--dev-python/python-keyutils/python-keyutils-0.6.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/dev-python/python-keyutils/python-keyutils-0.6.ebuild b/dev-python/python-keyutils/python-keyutils-0.6.ebuild
new file mode 100644
index 000000000000..5362d89996ee
--- /dev/null
+++ b/dev-python/python-keyutils/python-keyutils-0.6.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="A set of python bindings for keyutils"
+HOMEPAGE="https://github.com/sassoftware/python-keyutils/"
+SRC_URI="https://github.com/sassoftware/python-keyutils/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="sys-apps/keyutils"
+RDEPEND="${DEPEND}"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ default
+ sed -i -e '/pytest-runner/d' setup.py || die
+}
+
+python_test() {
+ ln -s "${S}"/test "${BUILD_DIR}"/test || die
+ cd "${BUILD_DIR}" || die
+ distutils-r1_python_test
+}